<!doctype html public "-//w3c//dtd html 4.0 transitional//en">
<html>
<head>
   <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
   <meta name="GENERATOR" content="Mozilla/4.7 [en] (Win98; I) [Netscape]">
   <title>ExoticaX Legal Documentation</title>
</head>
<body text="#FFFFFF" bgcolor="#000000" link="#0000FF" vlink="#00CC33" alink="#FF0000">

<center><b><font face="Brush455 BT,Comic Sans MS"><font color="#FF0000"><font size=+3>Frequently
Asked Questions</font></font></font></b>
<br>
<hr WIDTH="50%" COLOR="#FF0000"></center>

<p><br>
<center><table BORDER CELLSPACING=2 CELLPADDING=0 WIDTH="75%" >
<tr>
<td WIDTH="100%"><b>Do I need Exotica to use ExoticaX?</b></td>
</tr>

<tr>
<td>
<blockquote><b>Yes, you need Exotica to use ExoticaX. However, the corresponding
Exotica API is included with ExoticaX. If you would like to get the complete
Exotica API package, you can get it at <a href="http://exotica.iwarp.com/">www.exotica.iwarp.com</a></b></blockquote>
</td>
</tr>
</table></center>

<center><table BORDER CELLSPACING=2 CELLPADDING=0 WIDTH="75%" >
<tr>
<td WIDTH="100%"><b>Where do I get DirectX8.0?</b></td>
</tr>

<tr>
<td>
<blockquote><b>You can get the DirectX8.0 package at <a href="http://microsoft.com/directx/">www.microsoft.com/directx</a>
. You only need the end user package, not the entire SDK.&nbsp;</b></blockquote>
</td>
</tr>
</table></center>

<center><table BORDER CELLSPACING=2 CELLPADDING=0 WIDTH="75%" HEIGHT="94" >
<tr>
<td WIDTH="100%" HEIGHT="16"><b>When I try to run any programs that use
ExoticaX, I get an error "DLL not found"?</b></td>
</tr>

<tr>
<td HEIGHT="69">
<dl>
<dd>
<b>This happens if...</b>&nbsp;</dd>

<dl>
<dd>
<b>: your program can't find the Exotica DLL. The exotica dll needs to
visible to your program. IE in the system path, or in the same directory
as the calling program.</b>&nbsp;</dd>

<dd>
<b>: your program can't find the DirectX dll. If this is the case, you
don't have DirectX installed on your system.</b>&nbsp;</dd>

<dd>
<b>: you have an earlier version of DirectX than version8.0. You need to
have DirectX ver8.0 or higher to use Exotica or ExoticaX.</b>&nbsp;</dd>
</dl>
</dl>
</td>
</tr>
</table></center>

<center><table BORDER CELLSPACING=2 CELLPADDING=0 WIDTH="75%" >
<tr>
<td WIDTH="100%"><b>Can I use exotica routines as well as ExoticaX routines
in the same program?</b></td>
</tr>

<tr>
<td>
<blockquote><b>Yes, if you're using the ExoticaX Library, you can use Exotica
routines as well. In some instances, I would even recommend this. ExoticaX
provides ease of use, and although all the exotica routines are wrapped
in it, it is not intended to completely replace exotica. It is inevitable
that a wrapper routine is going to be slightly slower than the original
routine, because it will have extra calls, in order to justify wrapping
the routine.</b></blockquote>
</td>
</tr>
</table></center>

<center><table BORDER CELLSPACING=2 CELLPADDING=0 WIDTH="75%" >
<tr>
<td WIDTH="100%"><b>If I ALT_TAB out of my ExoticaX program, it crashes.</b></td>
</tr>

<tr>
<td>
<blockquote><b>When you ALT_TAB out of your program, and directX is still
trying to draw graphics to the surface, it will crash.You need to poll
the aActive routine. If aActive()=0, your program doesn't have focus, and
should not make any directx calls. If aActive()=1, your program is running
normally. If aActive()=2, your program has just returned to normal execution.
You would redraw any custom bitmaps at this point, or any other calls relative
to the program regaining focus. Once the program calls exotica_error(),
aActive will be set back to 1 again.</b></blockquote>
</td>
</tr>
</table></center>

</body>
</html>
